var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { forwardRef } from 'react';
import classnames from 'classnames';
import { useStyles } from './styles';
export var ReadableSearchQuery = forwardRef(function (_a, ref) {
    var _b = _a.readableQuery, readableQuery = _b === void 0 ? [] : _b, className = _a.className, _c = _a.classes, classes = _c === void 0 ? {} : _c, otherProps = __rest(_a, ["readableQuery", "className", "classes"]);
    var styles = useStyles();
    return (React.createElement("span", __assign({ ref: ref, className: classnames(styles.query, className), "data-reltio-id": "search-readable-query" }, otherProps), readableQuery.map(function (_a, i) {
        var type = _a.type, text = _a.text;
        return (React.createElement("span", { key: i, className: classnames(styles[type], classes[type]) }, text));
    })));
});
ReadableSearchQuery.displayName = 'ReadableSearchQuery';
